# syntax=docker/dockerfile:1.4

# # BUILD STAGE
# FROM node:lts-iron AS builder

# # Establecer el directorio de trabajo
# WORKDIR /srv

# # Copiar los archivos de dependencias
# COPY package.json .
# COPY yarn.lock .
# COPY tsconfig*.json .
# RUN yarn install

# RUN mkdir -p ./shared
# RUN mkdir -p ./client

# COPY shared ./shared
# COPY client ./client

# #CMD pwd && ls -la

# RUN cd ./shared && yarn install
# RUN cd ./client && yarn install

# Ejecutar el build
# Si hay un error, mostrarlo en detalle.
#RUN cd ./client && yarn run build || { echo 'Error during build'; exit 1; }

# FINAL STAGE (Producción)
FROM alpine:latest

WORKDIR /srv

RUN rm -rf *

# Copiar los archivos del build desde la fase anterior
COPY ./dist/client .
CMD pwd && ls -la